Bug 175109 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192 CVE-2005-3628)
CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192 CVE-2005-3628)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tetex (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
impact=moderate,reported=20051103,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 12:55 EST by Josh Bressers
Modified: 2013-07-02 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0160
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 12:34:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-12-06 12:55:24 EST
+++ This bug was initially created as a clone of Bug #175089 +++

Derek Noonburg sent us a patch for xpdf to correct a number of security issues.
 This is due to be public 20051201.

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

This issue affects RHEL3, RHEL3, RHEL2.1

-- Additional comment from mjc@redhat.com on 2005-11-22 03:42 EST --
Created an attachment (id=121332)
Proposed patch from Derek
Comment 1 Josh Bressers 2005-12-06 12:58:03 EST
This issue also affects the tetex for RHEL2.1 and RHEL3
Comment 2 Josh Bressers 2005-12-06 13:57:01 EST
Attachment 121940 [details] contains a more complete patch which was taken from our recent
xpdf update.
Comment 3 Jindrich Novy 2005-12-07 05:10:55 EST
Patches are now applied in RHEL2.1, 3, 4 and packages are built.
Comment 8 Red Hat Bugzilla 2006-01-19 12:34:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0160.html

Note You need to log in before you can comment on or make changes to this bug.